Scala Compiler2.13.0 < Back


# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package nsc
  Definition Classes
    tools
-  package interactive
  Definition Classes
    nsc
-  package tests
  Definition Classes
    interactive
- CancelException
- CommentPreservingTypers
- CompilerControl
- CondPickler
- ContextTrees
- FreshRunReq
- Global
- InteractiveAnalyzer
- InteractiveReporter
- Lexer
- LogReplay
- Logger
- Main
- MissingResponse
- NoSuchUnitError
- NullLogger
- Pickler
- Picklers
- PresentationCompilerThread
- PrettyWriter
- Problem
- REPL
- RangePositions
- Replayer
- Response
- RichCompilationUnits
- ShutdownReq

o

scala.tools.nsc.interactive

# Lexer

###
Companion class Lexer

#### object Lexer

Companion object of class `Lexer` which defines tokens and some utility concepts used for tokens and lexers

Source
  Lexer.scala

Linear Supertypes
AnyRef, Any
Content Hierarchy

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. Lexer
2. AnyRef
3. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Type Members

1.  case class Delim(char: Char) extends Token with Product with Serializable

   A subclass of `Token` representing single-character delimiters

   A subclass of `Token` representing single-character delimiters

   char

     the delimiter character making up this token

2.  case class FloatLit(str: String) extends Token with Product with Serializable

   A subclass of token representing floating point literals

3.  case class IntLit(str: String) extends Token with Product with Serializable

   A subclass of token representing integer literals

4.  class MalformedInput extends Exception

   An exception raised if an input does not correspond to what's expected

5.  case class StringLit(str: String) extends Token with Product with Serializable

   A subclass of token representing string literals

6.  class Token extends AnyRef

   The class of tokens, i.e.

   The class of tokens, i.e. descriptions of input words (or: lexemes).

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  val Colon: Delim

   The '`:`' token

5.  val Comma: Delim

   The '`,`' token

6.  val EOF: Token

   The token representing end of input

7.  val FalseLit: Token

   The `false` token

8.  val LBrace: Delim

   The '`{`' token

9.  val LBracket: Delim

   The '`[`' token

10.  val LParen: Delim

    The '`(`' token

11.  val NullLit: Token

    The `null` token

12.  val RBrace: Delim

    The '`}`' token

13.  val RBracket: Delim

    The '`]`' token

14.  val RParen: Delim

    The '`)`' token

15.  val TrueLit: Token

    The `true` token

16.  final def asInstanceOf[T0]: T0
    Definition Classes
      Any
17.  def clone(): AnyRef
    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.CloneNotSupportedException]) @native()
18.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
19.  def equals(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef → Any
20.  def finalize(): Unit
    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
21.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
22.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
23.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
24.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
25.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
26.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
27.  def quoted(str: String): String

    Returns given string enclosed in `"`-quotes with all string characters escaped so that they correspond to the JSON standard.

    Returns given string enclosed in `"`-quotes with all string characters escaped so that they correspond to the JSON standard. Characters that escaped are: `"`, `\b`, `\f`, `\n`, `\r`, `\t`, `\`. Furthermore, every other character which is not in the ASCII range 32-127 is escaped as a four hex-digit unicode character of the form `\ u x x x x`.

    str

      the string to be quoted

28.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
29.  def toString(): String
    Definition Classes
      AnyRef → Any
30.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
31.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
32.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from AnyRef

### Inherited from Any

### Ungrouped